Author Topic: F30: update to nightly from Jen's fails on dependency  (Read 1077 times)

Offline AZ

  • Almost regular
  • **
  • Posts: 139
F30: update to nightly from Jen's fails on dependency
« on: November 21, 2019, 10:08:38 am »
Jens,
 a little trouble in the paradise :
Code: [Select]
Problem: cannot install the best update candidate for package codeblocks-17.12-12.fc30.x86_64
  - nothing provides libwx_baseu-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_baseu-2.8.so.0(WXU_2.8)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_baseu-2.8.so.0(WXU_2.8.2)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_baseu_net-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_baseu_net-2.8.so.0(WXU_2.8)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_baseu_xml-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_baseu_xml-2.8.so.0(WXU_2.8)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_adv-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_adv-2.8.so.0(WXU_2.8)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_aui-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_aui-2.8.so.0(WXU_2.8)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_aui-2.8.so.0(WXU_2.8.5)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_core-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_core-2.8.so.0(WXU_2.8)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_core-2.8.so.0(WXU_2.8.5)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_html-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_html-2.8.so.0(WXU_2.8)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_qa-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_richtext-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_xrc-2.8.so.0()(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
  - nothing provides libwx_gtk2u_xrc-2.8.so.0(WXU_2.8)(64bit) needed by codeblocks-17.12.svn.11417-1.fc29.x86_64
==================================================================================================================================================
 Package               Architecture      Version                              Repository                                                     Size
==================================================================================================================================================
Skipping packages with broken dependencies:
 codeblocks            x86_64            17.12.svn.11417-1.fc29               copr:copr.fedorainfracloud.org:jenslody:codeblocks            5.0 M

Transaction Summary
==================================================================================================================================================
Skip  1 Package

Nothing to do.

the release version was installed with no problems, but the update to nightly is not happy.
the libwx_baseu is nowhere to be found in the regular Fedora's repos...

looks like i already have GTK 2 and 3 :
Code: [Select]
gtk2-2.24.32-4.fc30.x86_64
gtk-unico-engine-1.0.3-0.13.20140109bzr152.fc30.x86_64
PackageKit-gtk3-module-1.1.12-6.fc30.x86_64
gtk-update-icon-cache-3.24.11-1.fc30.x86_64
gtk3-3.24.11-1.fc30.x86_64
ibus-gtk3-1.5.20-5.fc30.x86_64
gtk2-engines-2.20.2-18.fc30.x86_64

Please advise.
CB: latest available from Jen's RPM repo for Fedora
Thread model: posix
gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC)

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6678
    • My Best Post
Re: F30: update to nightly from Jen's fails on dependency
« Reply #1 on: November 21, 2019, 02:34:32 pm »
What version of wxGTK is installed?

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline AZ

  • Almost regular
  • **
  • Posts: 139
Re: F30: update to nightly from Jen's fails on dependency
« Reply #2 on: November 22, 2019, 12:08:15 am »
Tim,
 I have :
Code: [Select]
wxGTK3-i18n-3.0.4-8.fc30.noarch
compat-wxGTK3-gtk2-3.0.4-8.fc30.x86_64
« Last Edit: November 22, 2019, 03:26:48 am by AZ »
CB: latest available from Jen's RPM repo for Fedora
Thread model: posix
gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC)

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12129
    • Travis build status
Re: F30: update to nightly from Jen's fails on dependency
« Reply #3 on: November 22, 2019, 09:37:21 am »
You need wx2.8 or a rebuild of codeblocks' rpms.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline AZ

  • Almost regular
  • **
  • Posts: 139
Re: F30: update to nightly from Jen's fails on dependency
« Reply #4 on: November 22, 2019, 04:40:10 pm »
WxGTK 3.0.4
Released: March 8th, 2018

i suspect there are some major compability issues, if CB is still on 2.8?
CB: latest available from Jen's RPM repo for Fedora
Thread model: posix
gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC)

Online sodev

  • Regular
  • ***
  • Posts: 334
Re: F30: update to nightly from Jen's fails on dependency
« Reply #5 on: November 22, 2019, 07:16:27 pm »
Not anymore, at least not on Windows. I'm building CB against some recent wxWidgets master with all compatibility disabled (requires only some small changes to CB) and it's working without any issues (minus the cut off autocompletion popups in Direct2D mode). My Linux build uses some older wxWidgets 3.1, didn't find any CB issues there as well but i did only a quick test on that system.

Offline AZ

  • Almost regular
  • **
  • Posts: 139
Re: F30: update to nightly from Jen's fails on dependency
« Reply #6 on: November 22, 2019, 07:36:32 pm »
Not anymore, at least not on Windows. I'm building CB against some recent wxWidgets master with all compatibility disabled (requires only some small changes to CB) and it's working without any issues (minus the cut off autocompletion popups in Direct2D mode). My Linux build uses some older wxWidgets 3.1, didn't find any CB issues there as well but i did only a quick test on that system.

I'm on Fedora 30. the 2.8 is not available as rpm anymore.  Do you have the rpm you can share, please?
Or, perhaps, your notes on config changes for the compilation.
CB: latest available from Jen's RPM repo for Fedora
Thread model: posix
gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC)

Online sodev

  • Regular
  • ***
  • Posts: 334
Re: F30: update to nightly from Jen's fails on dependency
« Reply #7 on: November 22, 2019, 09:11:00 pm »
My Linux is CentOS 7, that won't help you much plus i didn't build any RPM's. This one does also only ship wx 3.0.4 and its build has all compatibility enabled, CB can be build against this out-of-the-box. I have some weak memory about CB having some issues with that wx version, there was a patch made for wx but i don't know if it was backported to 3.0.4 by the wx folks or the fedora team. Building CB against that system package basically boils down to:

Code: [Select]
./bootstrap
./configure --with-contrib-plugins=all,-NassiShneiderman

I disable NassiShneiderman because i don't have a system boost library available, you might need to specify the lib directory if the wrong one gets chosen (lib vs. lib64).

Building a more recent wxWidgets version yourself is also not that difficult (at least a local version, don't know how easy it is to make a RPM, never did that, maybe you can download the source RPM and use its SPEC file on a git checkout of wx), the tricky part is to figure out the required packages. Basically i ran ./configure until it didn't complain about missing stuff or disabling elements because of missing stuff.

To build CB against a recent wx with all compatibility disabled you need these two patches: https://sourceforge.net/p/codeblocks/tickets/687, https://sourceforge.net/p/codeblocks/tickets/704

Offline AZ

  • Almost regular
  • **
  • Posts: 139
Re: F30: update to nightly from Jen's fails on dependency
« Reply #8 on: November 25, 2019, 04:25:26 am »
Sodev,
 thank you very much for the information.  building nightly from the source was pleasantly uneventful and only 2 beers long.

with RPM I ran into trouble. Most likely because I haven't done any hands-on work for .. 8 years now. I'll share the results once i complete the work.
Thank you for the help.
« Last Edit: November 25, 2019, 04:54:22 am by AZ »
CB: latest available from Jen's RPM repo for Fedora
Thread model: posix
gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC)

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12129
    • Travis build status
Re: F30: update to nightly from Jen's fails on dependency
« Reply #9 on: November 25, 2019, 08:19:51 pm »
make dist  and then rpmbuild -ba codeblocks*.tar.bz2 should do the work for creating the rpms. You should have the rpmbuild environment setup before running the last command.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline AZ

  • Almost regular
  • **
  • Posts: 139
Re: F30: update to nightly from Jen's fails on dependency
« Reply #10 on: November 30, 2019, 01:58:15 am »
Code: [Select]
rpmbuild -bs ./codeblocks.spec && mock --short-circuit=install -n -N -r fedora-30-x86_64 --rebuild codeblocks-17.12.svn.11925-1.fc30.src.rpm
mock --shell
find / -name 16x16
<cut off for sanity>
...
/builddir/build/BUILD/codeblocks-17.12svn/trunk/src/plugins/codecompletion/resources/images/16x16
/builddir/build/BUILD/codeblocks-17.12svn/trunk/src/src/resources/images/infopane/16x16
/builddir/build/BUILD/codeblocks-17.12svn/trunk/src/src/resources/images/16x16
/builddir/build/BUILD/codeblocks-17.12svn/trunk/src/src/resources/images/tree/16x16
/builddir/build/BUILD/codeblocks-17.12svn/trunk/src/sdk/resources/images/16x16
/builddir/build/BUILDROOT/codeblocks-17.12.svn.11925-1.fc30.x86_64/usr/share/codeblocks/SpellChecker/16x16
/usr/share/icons/Adwaita/16x16
/usr/share/icons/hicolor/16x16

whereas :
Code: [Select]
[email protected] result]# repoquery -l codeblocks | grep 16x16
Last metadata expiration check: 0:08:03 ago on Fri 29 Nov 2019 02:38:34 PM EST.
/usr/share/codeblocks/images/16x16
/usr/share/codeblocks/images/16x16/bookmark_add.png
/usr/share/codeblocks/images/16x16/dbginfo.png
/usr/share/codeblocks/images/16x16/dbgnext.png
/usr/share/codeblocks/images/16x16/dbgnexti.png
/usr/share/codeblocks/images/16x16/dbgpause.png
/usr/share/codeblocks/images/16x16/dbgrun.png
<cut here for sanity>

appears the "make install" based off the .spec (codeblocks.spec.fedora.in from svn 11925 )  doesn't handle images directory ?

side question:
in .spec :
Code: [Select]
global svnrev             @[email protected]
what/how/why @[email protected] is defined?
« Last Edit: November 30, 2019, 02:03:51 am by AZ »
CB: latest available from Jen's RPM repo for Fedora
Thread model: posix
gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC)

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12129
    • Travis build status
Re: F30: update to nightly from Jen's fails on dependency
« Reply #11 on: November 30, 2019, 10:38:13 am »
codeblocks.spec.fedora.in is not something you should use directly. It is modified by the configure script and it is turned in to codeblocks.spec.fedora in your build folder. This file could be used for making an rpm. The spec file for rhel/centos works fine, so you could compare it and see if there are important differences.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline AZ

  • Almost regular
  • **
  • Posts: 139
Re: F30: update to nightly from Jen's fails on dependency
« Reply #12 on: November 30, 2019, 06:51:28 pm »
>  The spec file for rhel/centos..
where do i find it?

Code: [Select]
<mock-chroot> sh-5.0# find /builddir/ -name *.spec*
/builddir/build/SPECS/codeblocks.spec
/builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec.in
/builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec.fedora.in
/builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec.fedora
/builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec
<mock-chroot> sh-5.0#
<mock-chroot> sh-5.0# diff /builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec /builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec.in
1c1
< %define _svnrev             0
---
> %define _svnrev             @[email protected]
64c64
< Source:                     %{name}-17.12svn0.tar.bz2
---
> Source:                     %{name}[email protected]@.tar.bz2
224c224
< %setup -q -n codeblocks-17.12svn0
---
> %setup -q -n [email protected]@

<mock-chroot> sh-5.0# diff /builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec.fedora.in /builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec.fedora |more
1c1
< %global svnrev             @[email protected]
---
> %global svnrev             0
9c9
< Source0: %{name}[email protected]@.tar.bz2
---
> Source0: %{name}-17.12svn0.tar.bz2
93c93
< %setup -q -n %{name}[email protected]@
---
> %setup -q -n %{name}-17.12svn0
<mock-chroot> sh-5.0# diff /builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec /builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec.fedora | more
1,8c1
< %define _svnrev             0
< %define req_wxgtk           2.8.0
< %define _redhat             %(if [ -f /etc/redhat-release ]; then echo 1; else echo 0; fi)
< %define _mandrake           %(if [ -f /etc/mandrake-release ]; then echo 1; else echo 0; fi)
< %define _version            17.12.svn.%{_svnrev}
< %define _rel                1
< %define _release            %{_rel}
< %define jobs                %(if [ -e /usr/bin/getconf ]; then echo $(( `/usr/bin/getconf _NPROCESSORS_ONLN` + 1 )); else echo 1; fi)
---
> %global svnrev             0
10,16c3,19
< %if 0%{?suse_version}
< %define _release            %{_rel}.suse%{suse_version}
< %endif
< %if 0%{?mandriva_version}
< %define _release            %{_rel}.mdk%{mandrake_version}
< %define _redhat 0
< %endif
---

<removed for sanity>

<mock-chroot> sh-5.0# diff /builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec /builddir/build/BUILD/codeblocks-17.12.svn/trunk/codeblocks.spec.fedora | grep 16x16
<nothing found>


the images/16x16 are not in the codeblocks.spec.fedora either.


Nov 30th: added the screenshot of the CB running with 3.0.4. Those icons are rather small. Not sure if there is an option to change the sizes.
« Last Edit: November 30, 2019, 08:03:17 pm by AZ »
CB: latest available from Jen's RPM repo for Fedora
Thread model: posix
gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC)

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12129
    • Travis build status
Re: F30: update to nightly from Jen's fails on dependency
« Reply #13 on: November 30, 2019, 11:31:25 pm »
What is your DPI are you running any scaling? gtk2 or gtk3?
The spec file without fedora in the name is the generic one which works fine on centos/rhel.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline AZ

  • Almost regular
  • **
  • Posts: 139
Re: F30: update to nightly from Jen's fails on dependency
« Reply #14 on: December 01, 2019, 04:09:24 am »
What is your DPI are you running any scaling? gtk2 or gtk3?
The spec file without fedora in the name is the generic one which works fine on centos/rhel.

1600x900, XFCE. I don't think I have any scaling available or enabled.

wxGTK3-i18n-3.0.4-8.fc30.noarch
compat-wxGTK3-gtk2-3.0.4-8.fc30.x86_64

as far as the "images" goes, there is no difference in the codeblocks.spec and codeblocks.spec.fedora :
Code: [Select]
<mock-chroot> sh-5.0# grep images  codeblocks.spec
%{pkgdatadir}/images/*.png
%{pkgdatadir}/images/settings/*
%{pkgdatadir}/images/codesnippets/*
%{pkgdatadir}/images/wxsmith/*
<mock-chroot> sh-5.0# grep images  codeblocks.spec.fedora
%dir %{pkgdatadir}/images
%{pkgdatadir}/images/*.png
%{pkgdatadir}/images/settings
%{pkgdatadir}/images/codesnippets
%{pkgdatadir}/images/wxsmith

at the same time the rpmfor svn 11427 has the /usr/share/codeblocks/images/16x16:
Code: [Select]
repoquery -l codeblocks-0:17.12.svn.11417-1.fc29.x86_64 | grep 16x16
Last metadata expiration check: 0:37:44 ago on Sat 30 Nov 2019 10:22:35 PM EST.
/usr/share/codeblocks/images/16x16
« Last Edit: December 01, 2019, 05:01:59 am by AZ »
CB: latest available from Jen's RPM repo for Fedora
Thread model: posix
gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC)

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 12129
    • Travis build status
Re: F30: update to nightly from Jen's fails on dependency
« Reply #15 on: December 01, 2019, 10:58:32 am »
There were major changes to the way images are stored/used recently, so comparing it to something old is not really correct or useful.

Can you post the actual errors from rpmbuild?
And you didn't answer which version you're using gtk2 or gtk3. You have both installed obviously. Do ldd /usr/bin/codeblocks and post the output.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline AZ

  • Almost regular
  • **
  • Posts: 139
Re: F30: update to nightly from Jen's fails on dependency
« Reply #16 on: December 01, 2019, 03:45:54 pm »
> There were major changes to the way images are stored/used recently, so comparing it to something old is not really correct or useful.
my bad, i didn't realize that.

>Can you post the actual errors from rpmbuild?
there are no errors when I use the spec file from the svn. The missing "... images/16x16" is from the usage of Jen's spec. And you already explained the RC of the error.

GTK:
Code: [Select]
ldd /usr/bin/codeblocks | grep gtk
libwx_gtk3u_aui-3.0.so.0 => /lib64/libwx_gtk3u_aui-3.0.so.0 (0x00007fad85474000)
libwx_gtk3u_propgrid-3.0.so.0 => /lib64/libwx_gtk3u_propgrid-3.0.so.0 (0x00007fad85376000)
libwx_gtk3u_xrc-3.0.so.0 => /lib64/libwx_gtk3u_xrc-3.0.so.0 (0x00007fad85267000)
libwx_gtk3u_html-3.0.so.0 => /lib64/libwx_gtk3u_html-3.0.so.0 (0x00007fad85170000)
libwx_gtk3u_qa-3.0.so.0 => /lib64/libwx_gtk3u_qa-3.0.so.0 (0x00007fad8513a000)
libwx_gtk3u_adv-3.0.so.0 => /lib64/libwx_gtk3u_adv-3.0.so.0 (0x00007fad84f49000)
libwx_gtk3u_core-3.0.so.0 => /lib64/libwx_gtk3u_core-3.0.so.0 (0x00007fad848b1000)
libwx_gtk3u_richtext-3.0.so.0 => /lib64/libwx_gtk3u_richtext-3.0.so.0 (0x00007fad83e45000)
libwx_gtk3u_webview-3.0.so.0 => /lib64/libwx_gtk3u_webview-3.0.so.0 (0x00007fad83e21000)
libgtk-3.so.0 => /lib64/libgtk-3.so.0 (0x00007fad83284000)
libwebkit2gtk-4.0.so.37 => /lib64/libwebkit2gtk-4.0.so.37 (0x00007fad7fc56000)
libjavascriptcoregtk-4.0.so.18 => /lib64/libjavascriptcoregtk-4.0.so.18 (0x00007fad7dba5000)
and
Code: [Select]
ls -l  /lib64/libgtk-3.so.0
lrwxrwxrwx 1 root root 20 Sep  4 04:26 /lib64/libgtk-3.so.0 -> libgtk-3.so.0.2404.7




full output:
Code: [Select]
ldd /usr/bin/codeblocks
linux-vdso.so.1 (0x00007ffc6a979000)
libcodeblocks.so.0 => /lib64/libcodeblocks.so.0 (0x00007feac8a8c000)
libsquirrel-2.2.5.so => /lib64/libsquirrel-2.2.5.so (0x00007feac8a39000)
libwx_gtk3u_aui-3.0.so.0 => /lib64/libwx_gtk3u_aui-3.0.so.0 (0x00007feac8999000)
libwx_gtk3u_propgrid-3.0.so.0 => /lib64/libwx_gtk3u_propgrid-3.0.so.0 (0x00007feac889b000)
libwx_gtk3u_xrc-3.0.so.0 => /lib64/libwx_gtk3u_xrc-3.0.so.0 (0x00007feac878c000)
libwx_gtk3u_html-3.0.so.0 => /lib64/libwx_gtk3u_html-3.0.so.0 (0x00007feac8695000)
libwx_gtk3u_qa-3.0.so.0 => /lib64/libwx_gtk3u_qa-3.0.so.0 (0x00007feac865f000)
libwx_gtk3u_adv-3.0.so.0 => /lib64/libwx_gtk3u_adv-3.0.so.0 (0x00007feac846e000)
libwx_gtk3u_core-3.0.so.0 => /lib64/libwx_gtk3u_core-3.0.so.0 (0x00007feac7dd6000)
libwx_baseu_net-3.0.so.0 => /lib64/libwx_baseu_net-3.0.so.0 (0x00007feac7d85000)
libwx_baseu-3.0.so.0 => /lib64/libwx_baseu-3.0.so.0 (0x00007feac7ab0000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007feac7a8f000)
libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007feac7893000)
libm.so.6 => /lib64/libm.so.6 (0x00007feac774d000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007feac7733000)
libc.so.6 => /lib64/libc.so.6 (0x00007feac756d000)
libwx_gtk3u_richtext-3.0.so.0 => /lib64/libwx_gtk3u_richtext-3.0.so.0 (0x00007feac736a000)
libwx_gtk3u_webview-3.0.so.0 => /lib64/libwx_gtk3u_webview-3.0.so.0 (0x00007feac7346000)
libwx_baseu_xml-3.0.so.0 => /lib64/libwx_baseu_xml-3.0.so.0 (0x00007feac732f000)
libgdk-3.so.0 => /lib64/libgdk-3.so.0 (0x00007feac722b000)
libpangocairo-1.0.so.0 => /lib64/libpangocairo-1.0.so.0 (0x00007feac721a000)
libpango-1.0.so.0 => /lib64/libpango-1.0.so.0 (0x00007feac71cf000)
libgdk_pixbuf-2.0.so.0 => /lib64/libgdk_pixbuf-2.0.so.0 (0x00007feac71a3000)
libcairo-gobject.so.2 => /lib64/libcairo-gobject.so.2 (0x00007feac7197000)
libcairo.so.2 => /lib64/libcairo.so.2 (0x00007feac7072000)
libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007feac7016000)
libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007feac6ef2000)
libtinyxml.so.0 => /lib64/libtinyxml.so.0 (0x00007feac6ed8000)
libsqstdlib-2.2.5.so => /lib64/libsqstdlib-2.2.5.so (0x00007feac6ec4000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007feac6ebe000)
libgtk-3.so.0 => /lib64/libgtk-3.so.0 (0x00007feac67a9000)
libmspack.so.0 => /lib64/libmspack.so.0 (0x00007feac6794000)
libX11.so.6 => /lib64/libX11.so.6 (0x00007feac664f000)
libSDL2-2.0.so.0 => /lib64/libSDL2-2.0.so.0 (0x00007feac64fb000)
libXxf86vm.so.1 => /lib64/libXxf86vm.so.1 (0x00007feac64f4000)
libSM.so.6 => /lib64/libSM.so.6 (0x00007feac64e7000)
libpng16.so.16 => /lib64/libpng16.so.16 (0x00007feac64b1000)
libjpeg.so.62 => /lib64/libjpeg.so.62 (0x00007feac642c000)
libtiff.so.5 => /lib64/libtiff.so.5 (0x00007feac63b0000)
libz.so.1 => /lib64/libz.so.1 (0x00007feac6396000)
/lib64/ld-linux-x86-64.so.2 (0x00007feac9447000)
libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00007feac61c0000)
libwebkit2gtk-4.0.so.37 => /lib64/libwebkit2gtk-4.0.so.37 (0x00007feac317b000)
libexpat.so.1 => /lib64/libexpat.so.1 (0x00007feac314d000)
libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007feac3105000)
libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007feac3100000)
libXi.so.6 => /lib64/libXi.so.6 (0x00007feac30ee000)
libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007feac30df000)
libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007feac30d2000)
libXcomposite.so.1 => /lib64/libXcomposite.so.1 (0x00007feac30cd000)
libXdamage.so.1 => /lib64/libXdamage.so.1 (0x00007feac30c8000)
libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007feac30bf000)
libxkbcommon.so.0 => /lib64/libxkbcommon.so.0 (0x00007feac307c000)
libwayland-cursor.so.0 => /lib64/libwayland-cursor.so.0 (0x00007feac3071000)
libwayland-egl.so.1 => /lib64/libwayland-egl.so.1 (0x00007feac306c000)
libwayland-client.so.0 => /lib64/libwayland-client.so.0 (0x00007feac305b000)
libXext.so.6 => /lib64/libXext.so.6 (0x00007feac3046000)
libepoxy.so.0 => /lib64/libepoxy.so.0 (0x00007feac2f12000)
libfribidi.so.0 => /lib64/libfribidi.so.0 (0x00007feac2ef3000)
librt.so.1 => /lib64/librt.so.1 (0x00007feac2ee7000)
libpangoft2-1.0.so.0 => /lib64/libpangoft2-1.0.so.0 (0x00007feac2ecd000)
libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00007feac2e10000)
libthai.so.0 => /lib64/libthai.so.0 (0x00007feac2e04000)
libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007feac2dfe000)
libpixman-1.so.0 => /lib64/libpixman-1.so.0 (0x00007feac2d54000)
libxcb-shm.so.0 => /lib64/libxcb-shm.so.0 (0x00007feac2d4f000)
libxcb.so.1 => /lib64/libxcb.so.1 (0x00007feac2d24000)
libxcb-render.so.0 => /lib64/libxcb-render.so.0 (0x00007feac2d14000)
libXrender.so.1 => /lib64/libXrender.so.1 (0x00007feac2d07000)
libffi.so.6 => /lib64/libffi.so.6 (0x00007feac2cfc000)
libpcre.so.1 => /lib64/libpcre.so.1 (0x00007feac2c86000)
libatk-1.0.so.0 => /lib64/libatk-1.0.so.0 (0x00007feac2c5d000)
libatk-bridge-2.0.so.0 => /lib64/libatk-bridge-2.0.so.0 (0x00007feac2c26000)
libharfbuzz.so.0 => /lib64/libharfbuzz.so.0 (0x00007feac2b2e000)
libICE.so.6 => /lib64/libICE.so.6 (0x00007feac2b10000)
libuuid.so.1 => /lib64/libuuid.so.1 (0x00007feac2b04000)
libjbig.so.2.1 => /lib64/libjbig.so.2.1 (0x00007feac2af6000)
libmount.so.1 => /lib64/libmount.so.1 (0x00007feac2a94000)
libselinux.so.1 => /lib64/libselinux.so.1 (0x00007feac2a67000)
libresolv.so.2 => /lib64/libresolv.so.2 (0x00007feac2a4d000)
libGL.so.1 => /lib64/libGL.so.1 (0x00007feac29b9000)
libEGL.so.1 => /lib64/libEGL.so.1 (0x00007feac29a1000)
libnotify.so.4 => /lib64/libnotify.so.4 (0x00007feac2997000)
libxml2.so.2 => /lib64/libxml2.so.2 (0x00007feac282c000)
libxslt.so.1 => /lib64/libxslt.so.1 (0x00007feac27e8000)
libsqlite3.so.0 => /lib64/libsqlite3.so.0 (0x00007feac26d3000)
libjavascriptcoregtk-4.0.so.18 => /lib64/libjavascriptcoregtk-4.0.so.18 (0x00007feac10ca000)
libicui18n.so.63 => /lib64/libicui18n.so.63 (0x00007feac0de5000)
libicuuc.so.63 => /lib64/libicuuc.so.63 (0x00007feac0c12000)
libwoff2dec.so.1.0.2 => /lib64/libwoff2dec.so.1.0.2 (0x00007feac0c03000)
libharfbuzz-icu.so.0 => /lib64/libharfbuzz-icu.so.0 (0x00007feac0bfe000)
libgcrypt.so.20 => /lib64/libgcrypt.so.20 (0x00007feac0ae0000)
libgstapp-1.0.so.0 => /lib64/libgstapp-1.0.so.0 (0x00007feac0ace000)
libgstbase-1.0.so.0 => /lib64/libgstbase-1.0.so.0 (0x00007feac0a4e000)
libgstreamer-1.0.so.0 => /lib64/libgstreamer-1.0.so.0 (0x00007feac0907000)
libgstpbutils-1.0.so.0 => /lib64/libgstpbutils-1.0.so.0 (0x00007feac08c8000)
libgstaudio-1.0.so.0 => /lib64/libgstaudio-1.0.so.0 (0x00007feac084b000)
libgsttag-1.0.so.0 => /lib64/libgsttag-1.0.so.0 (0x00007feac080d000)
libgstvideo-1.0.so.0 => /lib64/libgstvideo-1.0.so.0 (0x00007feac075c000)
libgstgl-1.0.so.0 => /lib64/libgstgl-1.0.so.0 (0x00007feac06e8000)
libgstfft-1.0.so.0 => /lib64/libgstfft-1.0.so.0 (0x00007feac06db000)
libopenjp2.so.7 => /lib64/libopenjp2.so.7 (0x00007feac0687000)
libwebp.so.7 => /lib64/libwebp.so.7 (0x00007feac0616000)
libwebpdemux.so.2 => /lib64/libwebpdemux.so.2 (0x00007feac060f000)
libsoup-2.4.so.1 => /lib64/libsoup-2.4.so.1 (0x00007feac0578000)
libenchant-2.so.2 => /lib64/libenchant-2.so.2 (0x00007feac0568000)
libseccomp.so.2 => /lib64/libseccomp.so.2 (0x00007feac051f000)
libsecret-1.so.0 => /lib64/libsecret-1.so.0 (0x00007feac04c8000)
libtasn1.so.6 => /lib64/libtasn1.so.6 (0x00007feac04b2000)
libhyphen.so.0 => /lib64/libhyphen.so.0 (0x00007feac04aa000)
libwayland-server.so.0 => /lib64/libwayland-server.so.0 (0x00007feac0493000)
libbz2.so.1 => /lib64/libbz2.so.1 (0x00007feac047d000)
libdatrie.so.1 => /lib64/libdatrie.so.1 (0x00007feac0473000)
libXau.so.6 => /lib64/libXau.so.6 (0x00007feac046d000)
libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007feac0415000)
libatspi.so.0 => /lib64/libatspi.so.0 (0x00007feac03de000)
libgraphite2.so.3 => /lib64/libgraphite2.so.3 (0x00007feac03b9000)
libblkid.so.1 => /lib64/libblkid.so.1 (0x00007feac0363000)
libpcre2-8.so.0 => /lib64/libpcre2-8.so.0 (0x00007feac02d5000)
libGLX.so.0 => /lib64/libGLX.so.0 (0x00007feac029f000)
libGLdispatch.so.0 => /lib64/libGLdispatch.so.0 (0x00007feac01e2000)
liblzma.so.5 => /lib64/liblzma.so.5 (0x00007feac01b9000)
libicudata.so.63 => /lib64/libicudata.so.63 (0x00007feabe7c8000)
libwoff2common.so.1.0.2 => /lib64/libwoff2common.so.1.0.2 (0x00007feabe7c3000)
libbrotlidec.so.1 => /lib64/libbrotlidec.so.1 (0x00007feabe7b4000)
libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x00007feabe78f000)
liborc-0.4.so.0 => /lib64/liborc-0.4.so.0 (0x00007feabe70f000)
libgstallocators-1.0.so.0 => /lib64/libgstallocators-1.0.so.0 (0x00007feabe708000)
libGLESv2.so.2 => /lib64/libGLESv2.so.2 (0x00007feabe6f2000)
libX11-xcb.so.1 => /lib64/libX11-xcb.so.1 (0x00007feabe6ed000)
libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007feabe699000)
libpsl.so.5 => /lib64/libpsl.so.5 (0x00007feabe686000)
libsystemd.so.0 => /lib64/libsystemd.so.0 (0x00007feabe5d6000)
libbrotlicommon.so.1 => /lib64/libbrotlicommon.so.1 (0x00007feabe5b3000)
libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007feabe4c0000)
libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007feabe4a2000)
libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007feabe49b000)
libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007feabe489000)
libcrypto.so.1.1 => /lib64/libcrypto.so.1.1 (0x00007feabe1a9000)
libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007feabe1a2000)
libidn2.so.0 => /lib64/libidn2.so.0 (0x00007feabe17f000)
libunistring.so.2 => /lib64/libunistring.so.2 (0x00007feabdffb000)
liblz4.so.1 => /lib64/liblz4.so.1 (0x00007feabdfda000)

after I load a project, i see there:
Code: [Select]
NativeParser::OnParserEnd: Project 'Proj_arduino' parsing stage done!
Project 'Proj_arduino' parsing stage done (209 total parsed files, 19810 tokens in 0 minute(s), 0.928 seconds).

(codeblocks:28517): Gtk-WARNING **: 22:47:08.423: Negative content height -1 (allocation 1, extents 1x1) while allocating gadget (node scrolledwindow, owner GtkScrolledWindow)

(codeblocks:28517): Gtk-CRITICAL **: 22:47:08.426: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScrollbar

(codeblocks:28517): Gtk-WARNING **: 22:47:08.474: Negative content height -1 (allocation 1, extents 1x1) while allocating gadget (node scrolledwindow, owner GtkScrolledWindow)

(codeblocks:28517): Gtk-CRITICAL **: 22:47:08.474: gtk_box_gadget_distribute: assertion 'size >= 0' failed in GtkScrollbar

(codeblocks:28517): Gtk-WARNING **: 22:47:10.140: Negative content height -1 (allocation 1, extents 1x1) while allocating gadget (node scrolledwindow, owner GtkScrolledWindow)
Mozilla universal detection engine detected 'Pure *ASCII*'.
Final encoding detected: Unicode 8 bit (UTF-8) (ID: 43)
Removed Proj_arduino from all deps
Deinitializing plugins...

« Last Edit: December 01, 2019, 03:56:39 pm by AZ »
CB: latest available from Jen's RPM repo for Fedora
Thread model: posix
gcc version 5.1.1 20150618 (Red Hat 5.1.1-4) (GCC)